metasprite_t Struct Reference

`#include <gbdk-lib/include/gb/metasprites.h>`

## Data Fields

int8_t | dy
int8_t | dx
uint8_t | dtile
uint8_t | props

## Detailed Description

Metasprite sub-item structure

Parameters

  dy | (int8_t) Y coordinate of the sprite relative to the metasprite origin (pivot)
  dx | (int8_t) X coordinate of the sprite relative to the metasprite origin (pivot)
  dtile | (uint8_t) Start tile relative to the metasprites own set of tiles
  props | (uint8_t) Property Flags

Metasprites are built from multiple metasprite_t items (one for each sub-sprite) and a pool of tiles they reference. If a metasprite has multiple frames then each frame will be built from some number of metasprite_t items (which may vary based on how many sprites are required for that particular frame).

A metasprite frame is terminated with a {metasprite_end} entry.

Metasprite sub-item structure

Parameters

  dy | (int8_t) Y coordinate of the sprite relative to the metasprite origin (pivot)
  dx | (int8_t) X coordinate of the sprite relative to the metasprite origin (pivot)
  dtile | (uint8_t) Start tile relative to the metasprites own set of tiles

Metasprites are built from multiple metasprite_t items (one for each sub-sprite) and a pool of tiles they reference. If a metasprite has multiple frames then each frame will be built from some number of metasprite_t items (which may vary based on how many sprites are required for that particular frame).

A metasprite frame is terminated with a {metasprite_end} entry.

## Field Documentation

## dy

int8_t metasprite_t::dy

## dx

int8_t metasprite_t::dx

## dtile

uint8_t metasprite_t::dtile

## props

uint8_t metasprite_t::props

The documentation for this struct was generated from the following files:

- gbdk-lib/include/gb/metasprites.h
- gbdk-lib/include/msx/metasprites.h
- gbdk-lib/include/nes/metasprites.h
- gbdk-lib/include/sms/metasprites.h